commit 22e7dee866214542f11e87cb61baf3e7f2e709e7
Author: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date:   Mon May 7 14:50:27 2012 +0300

    Don't set/clear breakpoint when code is folded/unfolded.

diff --git a/pgadmin/debugger/ctlCodeWindow.cpp b/pgadmin/debugger/ctlCodeWindow.cpp
index c6098f6..c793e0c 100644
--- a/pgadmin/debugger/ctlCodeWindow.cpp
+++ b/pgadmin/debugger/ctlCodeWindow.cpp
@@ -279,8 +279,14 @@ void ctlCodeWindow::OnClose(wxCloseEvent &event)
 
 void ctlCodeWindow::OnMarginClick( wxStyledTextEvent &event )
 {
-	int lineNumber = m_view->LineFromPosition(event.GetPosition());
+	int lineNumber;
 
+	// Check that the user clicked on the line number or breakpoint margin.
+	// We don't want to set a breakpoint when the user folds/unfolds code.
+	if (!(event.GetMargin() == 0 || event.GetMargin() == 1))
+		return;
+
+	lineNumber = m_view->LineFromPosition(event.GetPosition());
 	if (!lineNumber)
 		return;
 
